configurationName: "EMCal embedding corrections configuration"
#period: "LHC16e1"
#period: "LHC12a15e"
period: "LHC11h"
pass: ""
sharedParameters:
    # Need to determine what we actually want to share
    #cellBranchName: "emcalCellsNew"
    #cellBranchName: "EMCALCellsNew"
    #clusterBranchName: "caloClustersNew"
    #trackBranchName: "tracksNew"
    cellBranchName: "usedefault"
    clusterBranchName: "usedefault"
    clusterCombinedBranchName: "caloClustersCombined"
    trackBranchName: "usedefault"
inputObjects:
    cells:
        cells:
            branchName: "sharedParameters:cellBranchName"
        cells_embed:
            branchName: "sharedParameters:cellBranchName"
            embedding: true
        cells_combined:
            branchName: "emcalCellsCombined"
    clusterContainers:
        baseClusterContainer:
            # Sets the branch name
            branchName: "sharedParameters:clusterBranchName"
            # Takes all default cuts!
        baseClusterContainer_combined:
            branchName: "sharedParameters:clusterCombinedBranchName"
        # Used after clusterizer
        baseClusterContainer1:
            # Sets the branch name
            branchName: "sharedParameters:clusterBranchName"
            minE: 0.0                        # Formerly clusterEMin
            minPt: 0.0                       # Formerly clusterPtMin
        baseClusterContainer1_combined:
            # Sets the branch name
            branchName: "sharedParameters:clusterCombinedBranchName"
        # Used for cluster-track matcher and after
        baseClusterContainer2:
            # Sets the branch name
            branchName: "sharedParameters:clusterBranchName"
            minE: 0.0                        # Formerly clusterEMin
            minPt: 0.0                       # Formerly clusterPtMin
            clusNonLinCorrEnergyCut: 0.15    # Formerly "minPt" and then clusterNonLinCorrEnergyMin
        baseClusterContainer2_combined:
            branchName: "sharedParameters:clusterCombinedBranchName"
    trackContainers:
        trackContainerName:
            # Sets the branch name
            branchName: "sharedParameters:trackBranchName"
            minPt: 0.15                    # formerly "minPt"
            trackFilterType: kHybridTracks
        trackContainerName_embed:
            embedding: true
# Cell energy
CellEnergy:
    createHistos: false
# _data is equivalent to the base correction, but I am making it explicit for clarity
CellEnergy_data:
    enabled: true
    cellsNames:
        - cells

# Cell bad channel
CellBadChannel:
    createHistos: false
CellBadChannel_data:
    enabled: true
    cellsNames:
        - cells
CellBadChannel_embed:
    enabled: true
    cellsNames:
        - cells_embed

# Cell Time Calib
CellTimeCalib:
    createHistos: false
CellTimeCalib_data:
    enabled: true
    cellsNames:
        - cells

# Combine cells together
CellCombineCollections_combined:
    enabled: true
    cellsNames:
        - cells

# Clusterizer
Clusterizer:
    createHistos: true
Clusterizer_combined:
    enabled: true
    cellsNames:
        - cells_combined
    # By selecting the cluster container here, we set where it will be output
    clusterContainersNames:
        - baseClusterContainer_combined

# Exotics
ClusterExotics:
    createHistos: true
ClusterExotics_combined:
    enabled: true
    cellsNames:
        - cells_combined
    clusterContainersNames:
        - baseClusterContainer1_combined

# Non-linearity
ClusterNonLinearity:
    createHistos: true
ClusterNonLinearity_combined:
    enabled: true
    cellsNames:
        - cells_combined
    clusterContainersNames:
        - baseClusterContainer1_combined

# Cluster-track matcher
ClusterTrackMatcher:
    createHistos: true
    useDCA: false
    usePIDmass: false
ClusterTrackMatcher_combined:
    enabled: true
    cellsNames:
        - cells_combined
    clusterContainersNames:
        - baseClusterContainer2_combined
    trackContainersNames:
        - trackContainerName
        - trackContainerName_embed

# Hadronic correction
ClusterHadronicCorrection:
    createHistos: true
ClusterHadronicCorrection_combined:
    enabled: true
    cellsNames:
        - cells_combined
    clusterContainersNames:
        - baseClusterContainer2_combined
    trackContainersNames:
        - trackContainerName
        - trackContainerName_embed
